%define name diamond
%define version 4.0.57
%define unmangled_version 4.0.57
%define release 1

Summary: Smart data producer for graphite graphing package
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: MIT License
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: The Diamond Team <https://github.com/python-diamond/Diamond>
Provides: diamond
Requires: python
Url: https://github.com/python-diamond/Diamond
BuildRequires: python

%description
UNKNOWN

%prep
%setup -n %{name}-%{unmangled_version}

%build
python setup.py build

%install
%{__python} setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%pre
# remove service only on final uninstall
if test "$1" = "0" ; then
    if service diamond status > /dev/null 2>&1 ; then
        if ! service diamond stop ; then
            logger -p user.err -s -t "%{name}" -- "ERROR: Uninstall failed. Not able to stop service."
            exit 0
        fi
    fi
    if chkconfig --del diamond ; then
        echo "Removed diamond service."
    else
        logger -p user.err -s -t "%{name}" -- "ERROR: Uninstall failed. Not able to remove service from services from management system."
        exit 0
    fi
fi


%post
# add diamond service upon initial install
if test "$1" = "1" ; then
    echo "Adding and activating diamond service"
    if chkconfig --add diamond ; then
        true
    else
        logger -p user.err -s -t %name -- "ERROR: Could not enable diamond service."
        exit 0
    fi
fi

# always restart diamond if it was running
if service diamond status > /dev/null 2>&1; then
    echo "Restarting diamond service because it was running."
    if ! service diamond restart ; then
        logger -p user.err -s -t %name -- "ERROR: Could not restart diamond service."
        exit 0
    fi
fi


%files -f INSTALLED_FILES
%defattr(-,root,root)
